/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.repository.web.ui.internal.admin.server.ServerReset");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("com.ibm.team.repository.web.client.internal.ProvisioningClient");
dojo.require("com.ibm.team.repository.web.transport.internal.ProvisionResponseHandler");

dojo.declare("com.ibm.team.repository.web.ui.internal.admin.server.ServerReset", [dijit._Widget, dijit._Templated], {

	templateString: "<div class=\"com-ibm-team-repository-admin-contentArea\"><div><button dojoAttachEvent=\"onclick: handleServerReset\">Request Server Reset</button></div><div dojoAttachPoint=\"message\"></div></div>",

	handleServerReset: function(e) {
		dojo.stopEvent(e);
		var prh = new com.ibm.team.repository.web.transport.internal.ProvisionResponseHandler(this, "_displayResult", "_requestFailed");
		com.ibm.team.repository.web.client.internal.ProvisioningClient.requestReset(prh);
	},
	
	_displayResult: function(response, args) {
		this.message.innerHTML = response.output;		
	},
	
	_requestFailed: function(errorObj) {
		this.message.innerHTML = "Error while trying to request a Server Reset ["+errorObj.status+"]["+errorObj.statusText+"]";
	}	

});	